Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libsndfile
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libsndfile
ID: USN-4013-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, Ubuntu 18.10
Datum: Mo, 10. Juni 2019, 22:55
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19432
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-6892
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17456
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14246
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19662
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17457
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14245
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-16942
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14634
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3832
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-13139
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19661
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19758
Applikationen: libsndfile

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============4735949475918571269==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="S8dvZQcUg8yxg9i8NbdjwKOIqkB5q4Ity"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--S8dvZQcUg8yxg9i8NbdjwKOIqkB5q4Ity
Content-Type: multipart/mixed;
boundary="f4lS0raBPMsriclenVn14b0p3J4hJFHcM";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: "ubuntu-security-announce@lists.ubuntu.com"
<ubuntu-security-announce@lists.ubuntu.com>
Message-ID: <785a8173-80eb-4081-d209-f05f47e5be9f@canonical.com>
Subject: [USN-4013-1] libsndfile vulnerabilities

--f4lS0raBPMsriclenVn14b0p3J4hJFHcM
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-4013-1
June 10, 2019

libsndfile vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.10
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in libsndfile.

Software Description:
- libsndfile: Library for reading/writing audio files

Details:

It was discovered that libsndfile incorrectly handled certain malformed
files. A remote attacker could use this issue to cause libsndfile to crash,
resulting in a denial of service, or possibly execute arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.10:
libsndfile1 1.0.28-4ubuntu0.18.10.1

Ubuntu 18.04 LTS:
libsndfile1 1.0.28-4ubuntu0.18.04.1

Ubuntu 16.04 LTS:
libsndfile1 1.0.25-10ubuntu0.16.04.2

After a standard system update you need to restart your session to make all
the necessary changes.

References:
https://usn.ubuntu.com/4013-1
CVE-2017-14245, CVE-2017-14246, CVE-2017-14634, CVE-2017-16942,
CVE-2017-17456, CVE-2017-17457, CVE-2017-6892, CVE-2018-13139,
CVE-2018-19432, CVE-2018-19661, CVE-2018-19662, CVE-2018-19758,
CVE-2019-3832

Package Information:
https://launchpad.net/ubuntu/+source/libsndfile/1.0.28-4ubuntu0.18.10.1
https://launchpad.net/ubuntu/+source/libsndfile/1.0.28-4ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/libsndfile/1.0.25-10ubuntu0.16.04.2


--f4lS0raBPMsriclenVn14b0p3J4hJFHcM--

--S8dvZQcUg8yxg9i8NbdjwKOIqkB5q4Ity
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlz+czsACgkQZWnYVadE
vpM+ghAArMZds9b20y8pYl50l41/ubDH1VjU99e5Dbld+dWPaVdW3Npv5COANO6f
s3KmFcuivSwzqzNrgcOjtneT/X8eSm2FtNHbxU+stn0s1eRQTziZRxQvFHWJSt4P
ADhgxi4LtpDlZoLF5PiIO3AoWp6WF7Xzziunhsi1DZT867Z83oXhhou3GvRgXye0
IgvtVl1v432uX1u8Bj9NPcItxTPTbE14F0ZgV8wXiSnRipdlpy7BYBsxYIBvsPNj
JZLTDkbVM4x0vvGoiIU27SkMUBi8RPah5rFz7roYkKPkWMQRyq6JFAeaRwfK54Lt
zDf7vjgncrvYjZS9NlHH3KKqcruByDrvJ1anvuknTJFWB948irxjtDrehJhZTgtD
cjOQWULYX6uBT0w9BqRvK/9CAa7oVWUorv5GzJgKkyqdyv0y9KghMCDK8ZbXmy0W
4JDYB4hAJJT8CR3LX2Utu+9e2e8iXrYwZiF9N5GLgQF89Z4C7eQ634MVhl2Xob9o
8TEdruy2cH78QbAwvxVo49WYR2omL2D/uaG+5qANn2kNICGv9tKUaQEVUnLF3hay
pp9IU0Tuu8uwNBxig3jw7sRTqhtlQK11NtRBmbHOMgFqfT940l/DSGlx/U6VpQtE
7NmBQ1Hv24nkOFhByVTB44O7jV6Gl5p6Q4oYPIMV3xh+xq/KkjI=
=/bx4
-----END PGP SIGNATURE-----

--S8dvZQcUg8yxg9i8NbdjwKOIqkB5q4Ity--


--===============4735949475918571269==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============4735949475918571269==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung